$(document).ready(function(){
    refresh();
});

$("#query").click(function () {
	refresh();
})

function  refresh() {
    $.ajax({
        type : "POST",
        url : "/pqs9900/user/getOnlineUsers",
        dataType : "text",
        success : function(data) {
            var info = $.parseJSON(data);
            if (info.code === 500) {
                //没有数据
            } else {
                var oTable=$('#example').DataTable({
                    columnDefs : [ {
                        orderable : false,
                        targets : 5
                    } ],
                    data : info.body,
                    destroy : true,
                    lengthMenu : [ 200 ],
                    language : {
                        url:'/pqs9900/json/chine.json'
                    },
                    'fnDrawCallback': function(oTable) {
                        $("#example_paginate").append("<div style='float:right;padding-top:4px;padding-left:10px'>到第 <input type='text' id='changePage' class='input-text' style='width:50px;height:28px;'> 页  <button class='btn btn-primary' id='dataTable-btn'>确定</button></div>");
                        var table = $("#example").dataTable();
                        $('#dataTable-btn').click(function(e) {
                            if($("#changePage").val() && $("#changePage").val() > 0) {
                                var redirectpage = $("#changePage").val() - 1;
                            } else {
                                var redirectpage = 0;
                            }
                            table.fnPageChange(redirectpage);
                        });
                    }
                });
            }
        }
    });
}
	